﻿using FarPoint.Win.Chart;
using FarPoint.Win.Spread;
using GrapeCity.Spreadsheet;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
namespace Spread_Win
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            #region Setting Image
            FarPoint.Win.Spread.CellType.ImageCellType imgct = new FarPoint.Win.Spread.CellType.ImageCellType();
            System.Drawing.Image image = (Image)Properties.Resources.TestImage;
            imgct.Style = FarPoint.Win.RenderStyle.Stretch;
            imgct.TransparencyColor = System.Drawing.Color.Black;
            imgct.TransparencyTolerance = 20;

            fpSpread1.Sheets[0].Columns[1].Width = 300;
            fpSpread1.Sheets[0].Rows[1].Height = 300;
            fpSpread1.Sheets[0].Cells[1, 1].CellType = imgct;
            fpSpread1.Sheets[0].Cells[1, 1].Value = image;
            #endregion

            #region Print
            var sv = fpSpread1.ActiveSheet;
            if (sv.PrintInfo == null)
                sv.PrintInfo = new PrintInfo();

            sv.PrintInfo.ShowBorder = false;
            sv.PrintInfo.ShowGrid = false;

            sv.PrintInfo.ShowPrintDialog = false;
            sv.PrintInfo.Preview = false;
            sv.PrintInfo.Centering = Centering.Horizontal;
            sv.PrintInfo.PrintToPdf = true;
            sv.PrintInfo.PdfFileName = "../../Test.pdf";
            sv.PrintInfo.ShowColor = true;
            sv.PrintInfo.PdfQualityMode = System.Drawing.Drawing2D.QualityMode.High;
            sv.PrintInfo.ShowColumnHeader = PrintHeader.Hide;
            sv.PrintInfo.ShowRowHeaders = false;

            fpSpread1.Sheets.Add(sv);

            fpSpread1.PrintSheet(-1);
            #endregion
        }
    }
}
